org.keycloak.representations.idm

## Class ComponentRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ComponentRepresentation

-     public class ComponentRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MultivaluedHashMap<String,String>` | `getConfig()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getProviderId()`
    `String` | `getProviderType()`
    `int` | `hashCode()`
    `void` | `setConfig(MultivaluedHashMap<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setProviderId(String providerId)`
    `void` | `setProviderType(String providerType)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentRepresentation

          public ComponentRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getProviderType

          public String getProviderType()

    - #### setProviderType

          public void setProviderType(String providerType)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

    - #### getConfig

          public MultivaluedHashMap<String,String> getConfig()

    - #### setConfig

          public void setConfig(MultivaluedHashMap<String,String> config)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.